org.eclipse.cdt.utils

## Class BinaryFile

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile

All Implemented Interfaces:
  IBinaryParser.IBinaryFile, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  BinaryObjectAdapter, ElfBinaryArchive, MachOBinaryArchive, MachOBinaryArchive64, PEBinaryArchive, PEBinaryArchive64, SOMBinaryArchive, XCOFFBinaryArchive

    public abstract class BinaryFile
    extends org.eclipse.core.runtime.PlatformObject
    implements IBinaryParser.IBinaryFile

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`BinaryFile(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IBinaryParser` `getBinaryParser()` Return the binary parser
`InputStream` `getContents()`
`org.eclipse.core.runtime.IPath` `getPath()` Filename of the binary
`int` `getType()` Binary type
`protected boolean` `hasChanged()`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### BinaryFile

    public BinaryFile(IBinaryParser parser,
                      org.eclipse.core.runtime.IPath path,
                      int type)

### Method Detail

#### getBinaryParser

    public final IBinaryParser getBinaryParser()

Description copied from interface: `IBinaryParser.IBinaryFile`
Return the binary parser

Specified by:
  `getBinaryParser` in interface `IBinaryParser.IBinaryFile`

#### getPath

    public final org.eclipse.core.runtime.IPath getPath()

Description copied from interface: `IBinaryParser.IBinaryFile`
Filename of the binary

Specified by:
  `getPath` in interface `IBinaryParser.IBinaryFile`
Returns:
  the path
See Also:
  `IBinaryParser.IBinaryFile.getPath()`

#### getType

    public final int getType()

Description copied from interface: `IBinaryParser.IBinaryFile`
Binary type

Specified by:
  `getType` in interface `IBinaryParser.IBinaryFile`
Returns:
  the type of the binary
See Also:
  `IBinaryParser.IBinaryFile.getType()`

#### getContents

    public InputStream getContents()
                            throws IOException

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  `IBinaryParser.IBinaryFile.getContents()`

#### hasChanged

    protected boolean hasChanged()